summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dmitrii Sosedov2020-04-10 03:54:07 +0200
committer Willy Sudiarto Raharjo2020-04-10 03:54:07 +0200
commit6675431c1658e69b2b6d95e0083100c528727f9c (patch)
treed5eda45e1ef7eee3863534ae63d7f94f78d69839
parentd4d14e575f4b31a8fe6aa6bf88447b53f3a9b7d0 (diff)
downloadslackbuilds-6675431c1658e69b2b6d95e0083100c528727f9c.tar.gz
development/octant: Added (Web Interface for Kubernetes).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/octant/README11
-rw-r--r--development/octant/octant.SlackBuild87
-rw-r--r--development/octant/octant.info10
-rw-r--r--development/octant/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/development/octant/README b/development/octant/README
new file mode 100644
index 0000000000..eb7ddb58f1
--- /dev/null
+++ b/development/octant/README
@@ -0,0 +1,11 @@
+octant (a web interface for Kubernetes)
+
+A web-based, highly extensible platform for developers to better understand
+the complexity of Kubernetes clusters.
+
+Octant is a tool for developers to understand how applications run on a Kubernetes cluster.
+It aims to be part of the developer's toolkit for gaining insight and approaching complexity
+found in Kubernetes.
+
+Octant offers a combination of introspective tooling, cluster navigation, and object management
+along with a plugin system to further extend its capabilities.
diff --git a/development/octant/octant.SlackBuild b/development/octant/octant.SlackBuild
new file mode 100644
index 0000000000..9cebb13550
--- /dev/null
+++ b/development/octant/octant.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for octant
+
+# Copyright 2020 Dmitrii Sosedov, United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=octant
+VERSION=${VERSION:-0.11.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ x86_64) ARCH=x86_64 ;;
+ *) ARCH=i686 ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ echo "Not supported"
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $PKG/usr $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION\_Linux-64bit.tar.gz
+mv $PRGNAM\_$VERSION\_Linux-64bit $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+mkdir -p bin
+mv $PRGNAM bin
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+chmod 755 bin
+
+mv bin $PKG/usr/
+
+find -L $PKG -type d -exec chmod 755 {} \;
+chmod 755 $PKG/usr/bin/*
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv README.md $PKG/usr/doc/$PRGNAM-$VERSION/.
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/$PRGNAM.info > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.info
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/octant/octant.info b/development/octant/octant.info
new file mode 100644
index 0000000000..f5a450fc40
--- /dev/null
+++ b/development/octant/octant.info
@@ -0,0 +1,10 @@
+PRGNAM="octant"
+VERSION="0.11.1"
+HOMEPAGE="https://octant.dev"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM="UNSUPPORTED"
+DOWNLOAD_x86_64="https://github.com/vmware-tanzu/octant/releases/download/v0.11.1/octant_0.11.1_Linux-64bit.tar.gz"
+MD5SUM_x86_64="d3851ea300f230e5a2efbf579171fc59"
+REQUIRES=""
+MAINTAINER="Dmitrii Sosedov"
+EMAIL="d.sosedov@gmail.com"
diff --git a/development/octant/slack-desc b/development/octant/slack-desc
new file mode 100644
index 0000000000..ae0fc384a5
--- /dev/null
+++ b/development/octant/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+octant: octant (a web interface for Kubernetes)
+octant:
+octant: A web-based, highly extensible platform for developers to better
+octant: understand the complexity of Kubernetes clusters.
+octant:
+octant:
+octant:
+octant:
+octant: Homepage: https://octant.dev
+octant: Release date: Mar 30, 2020
+octant: